netperf (2.7.0+git20210121.3bc455b+ds-3) unstable; urgency=medium

  * netperf.service: Fix SystemCallFilter typo
  * lintian: Fix old-fsf-address-in-copyright-file

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 12 Apr 2025 18:18:53 +0200

netperf (2.7.0+git20210121.3bc455b+ds-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * Restore LSB initscript (Closes: #1078674).
  * d/rules: don't enable or start LSB initscript by default.
  * d/NEWS: add entry about LSB initscript.

 -- Mark Hindley <leepen@debian.org>  Wed, 04 Sep 2024 11:13:11 +0100

netperf (2.7.0+git20210121.3bc455b+ds-1) unstable; urgency=medium

  * Remove stale patches
  * d/rules: Fix clean target, use dh-autoreconf
  * Add systemd netperf.service
  * Remove old init.d script
  * Keep netperf service disabled by default
  * d/copyright: Fix lintian old-fsf-address-in-copyright-file
  * Add NEWS entry about service enablement change
  * Add dxld as co-maintainer

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 13 Aug 2024 12:18:05 +0200

netperf (2.7.0+git20210121.3bc455b+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to machine-readable format.
  * d/watch: Scan for latest git commit.
  * New upstream version 2.7.0+git20210121.3bc455b+ds.
  * Document Expat license and move to main.  (Closes: #1003833)
  * Rebase upstream patches.
  * d/copyright: Add missing licenses.

 -- Bastian Germann <bage@debian.org>  Mon, 01 Jul 2024 18:35:56 +0200

netperf (2.7.0-0.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Declare Rules-Requires-Root: no.

  [ Simon Guinot ]
  * Fix NETSERVER_ENABLE check in init.d script.  (Closes: #732056)

  [ Jean Tourrilhes ]
  * Fix netserver removing /dev/null in some cases.  (Closes: #1068490)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Apr 2024 11:05:37 +0200

netperf (2.7.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import package history into GIT.
  * Fix building with -Werror=implicit-function-declaration.
  * Add debian/upstream/metadata.
  * Fix building twice in a row.
  * Switch from cdbs to dh.
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2024 11:39:14 +0100

netperf (2.7.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * new release
    + nettest_omni: Remove duplicate variable definitions
      closes: bug#966064, thanks to Andreas Beckmann
    closes: bug#974831

  [ Jonas Smedegaard ]
  * adapt to new upstream homepage:
    + update Homepage field in control file
    + update watch file to version 4 and track source at Github
    + update README.debian
    + update source URL in copyright file
    closes: bug#974830
  * modernize debhelper:
    + use debhelper compatibility level 10 (not 5)
    + drop unneeded virtually empty packaging script templates
    + relax to build-depend unversioned on debhelper
    + stop build-depend explicitly on autotools-dev
  * stop build-depend on quilt,
    unneeded with source format 3.0 (quilt)
  * drop patch 10 superseded by upstream changes
  * add patches cherry-picked upstream
    to fix headers for freebsd and update documentation
  * add patch cherry-picked upstream to fix inlining,
    and drop patch 11 superseded by upstream changes
  * avoid writing debug logfiles by default:
    + add patches cherry-picked upstream
      to improve logfile handling
    + drop patch 20 superseded by upstream changes
    + closes: bug#904394, #910625, thanks to Eric Cooper and sergio
  * add patch 10 cherry-picked from openwrt
    to fix compilation with gcc 10
    closes: bug#966064, thanks to Andreas Beckmann
  * add patch 11 to avoid changing permissions on debug logfile

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Nov 2020 14:20:07 +0100

netperf (2.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust inline statements to fix FTBFS, patch from Sascha Steinbiss
    (Closes: #798789)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Nov 2016 00:13:57 +0500

netperf (2.6.0-2) unstable; urgency=low

  * [cbaabea7] [rules] removed explicit call of patchsys-quilt.mk
  * [6a490bbf] [rules] removed clean target

 -- Erik Wenzel <erik@debian.org>  Wed, 08 May 2013 23:13:13 +0200

netperf (2.6.0-1) unstable; urgency=low

  * [61a10974] Imported Upstream version 2.6.0
  * [9e9f757a] [control] bumped standards version. nothing changed

 -- Erik Wenzel <erik@debian.org>  Wed, 17 Apr 2013 17:22:30 +0200

netperf (2.5.0-1) unstable; urgency=low

  * [4174b40a] Imported Upstream version 2.5.0
  * [3d7a224f] [patches] recreated patches using quilt

 -- Erik Wenzel <erik@debian.org>  Tue, 16 Aug 2011 21:58:36 +0200

netperf (2.4.5-1) unstable; urgency=low

  * [b904c9b8] [init.d] removed S from default start (Closes: 493188) -
    thanks to Rik Thies
  * [3e156f73] [init.d] added support for /etc/default/netperf (Closes:
    553199) - thanks to Salvatore Bonaccorso
    <salvatore.bonaccorso@gmail.com>
  * [865f744f] Imported Upstream version 2.4.5
  * [5181a0d6] removed patch 300_svn_trunk_20071205.dpatch it is
    integrated upstream
  * [6e94df86] [init.d] moved runlevel 1 to default-stop
  * [f7878ccc] Revert "[init.d] moved runlevel 1 to default-stop"
  * [c4d8f1c5] [init.d] moved runlevel 1 to default-stop
  * [20fa065d] added patch 300_bug361135.patch fixes segfault (Closes:
    361135) - thanks to Yaroslav Halchenko

 -- Erik Wenzel <erik@debian.org>  Wed, 12 May 2010 15:31:51 +0200

netperf (2.4.4-6) unstable; urgency=low

  * [134ff589] [control] updated build-dependency to livetex (closes:
    575765)
  * [b4f051a6] [init.d] added remote_fs
  * [5330a006] [control] bumped standards-version
  * [3628a0dc] [sources/format] fixed lintian warning missing-debian-
    source-format
  * [d98afee1] [control] added misc:Depends to binary section
  * [f0f46475] [compat] updated debhelper compatibility
  * [5d074a64] added README.source
  * [199a0a6f] [control] updated build-debends on debhelper
  * [e3ce0c6e] changed patch system from dpatch to quilt

 -- Erik Wenzel <erik@debian.org>  Fri, 07 May 2010 14:46:15 +0200

netperf (2.4.4-5) unstable; urgency=low

  * please compile with --enable-demo (Closes: #476412)

 -- Erik Wenzel <erik@debian.org>  Tue, 22 Apr 2008 22:26:33 +0000

netperf (2.4.4-4) unstable; urgency=low

  * added DebTags
  * bumped standards-version
  * added Homepage field to control
  * README.debian: removed template phrase

 -- Erik Wenzel <erik@debian.org>  Thu, 27 Mar 2008 22:21:14 +0000

netperf (2.4.4-3) unstable; urgency=low

  * 30_svn_trunk_20071205.dpatch includes all changes from svn trunk to
    date
  * [debian/rules] clean target uses make distclean

 -- Erik Wenzel <erik@debian.org>  Wed, 05 Dec 2007 10:44:22 +0000

netperf (2.4.4-2) unstable; urgency=low

  * [debian/rules] removed bashism, for ubuntu buildds

 -- Erik Wenzel <erik@debian.org>  Sun, 28 Oct 2007 10:19:13 +0000

netperf (2.4.4-1) unstable; urgency=low

  * New upstream release
  * moved netserver debug file from /tmp to /var/log
    fix for CVE-2007-1444 netserver logs to insecure temporary file

 -- Erik Wenzel <erik@debian.org>  Thu, 18 Oct 2007 21:35:19 +0000

netperf (2.4.3-8) unstable; urgency=low

  * CVE-2007-1444 netserver logs to insecure temporary file
    (Closes: #413658) Thanks to Nico Golde <nion@debian.org> for the
    hotfix

 -- Erik Wenzel <erik@debian.org>  Wed, 17 Oct 2007 08:55:57 +0000

netperf (2.4.3-7) unstable; urgency=low

  * misleading changelog.gz (Closes: #438146)
  * moved examples list from rules to examples
  * CVE-2007-1444 netserver logs to insecure temporary file (Closes:
    #413658) Thanks Nico Golde <nion@debian.org> for the hotfix

 -- Erik Wenzel <erik@debian.org>  Wed, 17 Oct 2007 04:39:28 +0000

netperf (2.4.3-6) unstable; urgency=low

  * Some names in manual pages are invisible (Closes: #434171)
  * [init.d] added lsb functions
  * misleading changelog.gz (Closes: #438146)

 -- Erik Wenzel <erik@debian.org>  Wed, 17 Oct 2007 03:04:15 +0000

netperf (2.4.3-5) unstable; urgency=low

  * [init.d] netperf 2.4.3-3 remote install stuck (Closes: #427480)

 -- Erik Wenzel <erik@debian.org>  Tue, 05 Jun 2007 08:54:54 +0000

netperf (2.4.3-4) unstable; urgency=low

  * [control] changed description

 -- Erik Wenzel <erik@debian.org>  Sun, 18 Mar 2007 23:14:09 +0000

netperf (2.4.3-3) unstable; urgency=low

  * [copyright] fixed missing copyright file

 -- Erik Wenzel <erik@debian.org>  Tue,  6 Mar 2007 19:08:28 +0100

netperf (2.4.3-2) unstable; urgency=low

  * [control] bumped standards-version to 3.7.2 (nothing changed)

 -- Erik Wenzel <erik@debian.org>  Wed, 28 Feb 2007 18:08:16 +0000

netperf (2.4.3-1) unstable; urgency=low

  * New upstream release
  * [watch] updated to new domain

 -- Erik Wenzel <erik@debian.org>  Sun, 25 Feb 2007 10:04:57 +0000

netperf (2.4.2-1) unstable; urgency=low

  * New upstream release

 -- Erik Wenzel <erik@debian.org>  Tue, 18 Apr 2006 08:30:12 +0200

netperf (2.4.1-1) unstable; urgency=low

  * examples moved from src/ to doc/ (Closes: #339385)
  * disabled compilation of documentation in postscript
  * cleanup of postinst, prerm and postrm
  * updated standards-version to 3.6.2 (nothing changed)

 -- Erik Wenzel <erik@debian.org>  Sat,  4 Feb 2006 22:48:27 +0100

netperf (2.4.0-2) unstable; urgency=low

  * added dependencies for tetex-bin (Closes: #310040)

 -- Erik Wenzel <erik@debian.org>  Sat, 21 May 2005 16:43:09 +0200

netperf (2.4.0-1) unstable; urgency=low

  * rules is rewritten from scratch and uses debian common build system
  * debian/init.d: netserver is in /usr/bin now.
  * UDP Port listening is fixed in Upsteam (Closes: #309007)
  * build documentation in the following formats: PDF, PS, HTML

 -- Erik Wenzel <erik@debian.org>  Mon, 16 May 2005 16:27:13 +0200

netperf (2.3-4) unstable; urgency=low

  * Changed netserver manpage back to Section 8. I was confused.

 -- Erik Wenzel <erik@debian.org>  Sun, 13 Mar 2005 20:09:45 +0100

netperf (2.3-3) unstable; urgency=low

  * Changed netserver manpage to Section 1.

 -- Erik Wenzel <erik@debian.org>  Thu, 23 Dec 2004 20:44:09 +0100

netperf (2.3-2) unstable; urgency=low

  * enabled IPv6 Support on User-Request (Closes: #285571)

 -- Erik Wenzel <erik@debian.org>  Sat, 18 Dec 2004 15:29:41 +0100

netperf (2.3-1) unstable; urgency=low

  * New upstream release

 -- Erik Wenzel <erik@debian.org>  Mon, 28 Jun 2004 00:10:19 +0200

netperf (2.2pl4-1) unstable; urgency=low

  * New upstream. (Closes: #186155)
  * fixed lintian problem in manpages
  * updated standards-version to 3.5.9.0 (changed nothing)
  * updated email in control

 -- Erik Wenzel <erik@debian.org>  Wed, 23 Apr 2003 09:44:27 +0200

netperf (2.1pl3-1) unstable; urgency=low

  * Initial release.

 -- Erik Wenzel <erik@todo.de>  Wed, 30 Jan 2002 10:15:17 +0200
